Index: /branches/version-2_12-multilang/data/Smarty/templates/default_en-US/header.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/default_en-US/header.tpl	(revision 22296)
+++ /branches/version-2_12-multilang/data/Smarty/templates/default_en-US/header.tpl	(revision 22465)
@@ -25,7 +25,6 @@
     <div id="header" class="clearfix">
         <div id="logo_area">
-            <p id="site_description">The Cube Captain has traveled around the world to bring you Cubic gourmet food. Buy it directly from the Captain! Made possible only with EC-CUBE!</p>
             <h1>
-                <a href="<!--{$smarty.const.TOP_URLPATH}-->"><img src="<!--{$TPL_URLPATH}-->img/common/logo.gif" alt="EC-CUBE ONLINE SHOPPING SITE" /><span><!--{$arrSiteInfo.shop_name|h}-->/<!--{$tpl_title|h}--></span></a>
+                <a href="<!--{$smarty.const.TOP_URLPATH}-->"><img src="<!--{$TPL_URLPATH}-->img/common/logo.png" alt="<!--{$arrSiteInfo.shop_name|h}-->" /><span><!--{$arrSiteInfo.shop_name|h}-->/<!--{$tpl_title|h}--></span></a>
             </h1>
         </div>
Index: /branches/version-2_12-multilang/data/Smarty/templates/sphone_en-US/mypage/refusal_confirm.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/sphone_en-US/mypage/refusal_confirm.tpl	(revision 22346)
+++ /branches/version-2_12-multilang/data/Smarty/templates/sphone_en-US/mypage/refusal_confirm.tpl	(revision 22465)
@@ -37,5 +37,5 @@
             <ul class="btn_refuse">
                 <li><a class="btn" href="./refusal.php" rel="external">No</a></li>
-                <li><input class="btn data-role-none" type="submit" value="Yes, I want to withdraw my membership" name="refuse_do" id="refuse_do" /></li>
+                <li><input class="btn data-role-none" type="submit" value="Yes, I want to cancel my membership" name="refuse_do" id="refuse_do" /></li>
             </ul>
         </div>
Index: /branches/version-2_12-multilang/html/user_data/packages/sphone_en-US/css/products.css
===================================================================
--- /branches/version-2_12-multilang/html/user_data/packages/sphone_en-US/css/products.css	(revision 22350)
+++ /branches/version-2_12-multilang/html/user_data/packages/sphone_en-US/css/products.css	(revision 22465)
@@ -449,4 +449,15 @@
 }
 
+/*レビュー*/
+
+#review_bloc_area {
+    clear: both;
+	padding: 0 10px 10px;
+}
+#review_bloc_area .review_btn {
+	margin: 10px 0;
+}
+
+
 /*その他オススメ商品スライド*/
 #product_detail .title_box_sub:last-child {
Index: /branches/version-2_12-multilang/html/user_data/packages/sphone_en-US/css/common.css
===================================================================
--- /branches/version-2_12-multilang/html/user_data/packages/sphone_en-US/css/common.css	(revision 22406)
+++ /branches/version-2_12-multilang/html/user_data/packages/sphone_en-US/css/common.css	(revision 22465)
@@ -460,5 +460,5 @@
     font-size: small;
     width: auto;
-    min-width: 130px;
+    min-width: 150px;
     padding: 10px;
     display: none;
Index: /branches/version-2_12-multilang/html/user_data/packages/admin/css/admin_contents.css
===================================================================
--- /branches/version-2_12-multilang/html/user_data/packages/admin/css/admin_contents.css	(revision 22350)
+++ /branches/version-2_12-multilang/html/user_data/packages/admin/css/admin_contents.css	(revision 22465)
@@ -379,17 +379,16 @@
 }
 
-/*ツールボタン (オレンジ)*/
+/*ツールボタン (みどり)*/
 .btn-tool-format02,
 a.btn-tool-format02:link,
 a.btn-tool-format02:visited {
     padding: 0 6px;
-    border: solid 1px #FFA801;
+    border: solid 1px #696E84;
     display: inline-block;
     color: #393B57;
-    background: url('../img/button/orange-grad.png') repeat-x #eee;
+    background: url('../img/button/green-grad.png') repeat-x #BDDC8D;
     background-origin: padding-box;
     background-attachment: scroll;
     background-clip: border-box;
-    background-color: #c9cbcb;
     font-weight: bold;
     font-size: 90%;
@@ -443,6 +442,6 @@
 }
 a.btn-tool-format02:hover {
-    border: solid 1px #977742;
-    color: #6b5f53;
+    border: solid 1px #4b4e59;
+    color: #5a675c;
 }
 
Index: /branches/version-2_12-multilang/html/user_data/packages/default_en-US/css/common.css
===================================================================
--- /branches/version-2_12-multilang/html/user_data/packages/default_en-US/css/common.css	(revision 22276)
+++ /branches/version-2_12-multilang/html/user_data/packages/default_en-US/css/common.css	(revision 22465)
@@ -29,4 +29,5 @@
     width: 100%;
     text-align: center;
+    background: url("../img/common/bg_header.gif") repeat-x 0 0;
 }
 
@@ -302,7 +303,6 @@
 ----------------------------------------------- */
 #header_wrap {
-    border-top: solid 3px #f90;
-    min-height: 82px;
-    background: url("../img/common/bg_header.gif") repeat-x bottom #fffaf0;
+    min-height: 92px;
+    background: url("../img/common/bg_header2.jpg") center top no-repeat;
 }
 #header {
@@ -311,5 +311,5 @@
 }
 #logo_area {
-    padding-left: 10px;
+    padding-left: 5px;
     float: left;
     width: 390px;