Index: /branches/version-2_12-dev/data/class/SC_Product.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Product.php	(revision 22206)
+++ /branches/version-2_12-dev/data/class/SC_Product.php	(revision 22484)
@@ -554,8 +554,8 @@
             $arrProducts[$key]['price02_max_format'] = number_format($arrProducts[$key]['price02_max']);
 
-            $arrProducts[$key]['price01_min_tax'] = SC_Helper_DB::sfCalcIncTax($arrProducts[$key]['price01_min']);
-            $arrProducts[$key]['price01_max_tax'] = SC_Helper_DB::sfCalcIncTax($arrProducts[$key]['price01_max']);
-            $arrProducts[$key]['price02_min_tax'] = SC_Helper_DB::sfCalcIncTax($arrProducts[$key]['price02_min']);
-            $arrProducts[$key]['price02_max_tax'] = SC_Helper_DB::sfCalcIncTax($arrProducts[$key]['price02_max']);
+            $arrProducts[$key]['price01_min_tax'] = SC_Helper_DB_Ex::sfCalcIncTax($arrProducts[$key]['price01_min']);
+            $arrProducts[$key]['price01_max_tax'] = SC_Helper_DB_Ex::sfCalcIncTax($arrProducts[$key]['price01_max']);
+            $arrProducts[$key]['price02_min_tax'] = SC_Helper_DB_Ex::sfCalcIncTax($arrProducts[$key]['price02_min']);
+            $arrProducts[$key]['price02_max_tax'] = SC_Helper_DB_Ex::sfCalcIncTax($arrProducts[$key]['price02_max']);
 
             $arrProducts[$key]['price01_min_tax_format'] = number_format($arrProducts[$key]['price01_min_tax']);
@@ -586,8 +586,8 @@
      */
     static function setIncTaxToProduct(&$arrProduct) {
-        $arrProduct['price01_min_inctax'] = isset($arrProduct['price01_min']) ? SC_Helper_DB::sfCalcIncTax($arrProduct['price01_min']) : null;
-        $arrProduct['price01_max_inctax'] = isset($arrProduct['price01_max']) ? SC_Helper_DB::sfCalcIncTax($arrProduct['price01_max']) : null;
-        $arrProduct['price02_min_inctax'] = isset($arrProduct['price02_min']) ? SC_Helper_DB::sfCalcIncTax($arrProduct['price02_min']) : null;
-        $arrProduct['price02_max_inctax'] = isset($arrProduct['price02_max']) ? SC_Helper_DB::sfCalcIncTax($arrProduct['price02_max']) : null;
+        $arrProduct['price01_min_inctax'] = isset($arrProduct['price01_min']) ? SC_Helper_DB_Ex::sfCalcIncTax($arrProduct['price01_min']) : null;
+        $arrProduct['price01_max_inctax'] = isset($arrProduct['price01_max']) ? SC_Helper_DB_Ex::sfCalcIncTax($arrProduct['price01_max']) : null;
+        $arrProduct['price02_min_inctax'] = isset($arrProduct['price02_min']) ? SC_Helper_DB_Ex::sfCalcIncTax($arrProduct['price02_min']) : null;
+        $arrProduct['price02_max_inctax'] = isset($arrProduct['price02_max']) ? SC_Helper_DB_Ex::sfCalcIncTax($arrProduct['price02_max']) : null;
     }
 
Index: /branches/version-2_12-dev/tests/class/SC_Product/SC_Product_getDetailTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/SC_Product/SC_Product_getDetailTest.php	(revision 22192)
+++ /branches/version-2_12-dev/tests/class/SC_Product/SC_Product_getDetailTest.php	(revision 22484)
@@ -50,8 +50,8 @@
                 ,'del_flg' => '0'
                 ,'update_date' => $arrRet[0]
-                ,'price01_min_inctax' => SC_Helper_DB::sfCalcIncTax('1500')
-                ,'price01_max_inctax' => SC_Helper_DB::sfCalcIncTax('1500')
-                ,'price02_min_inctax' => SC_Helper_DB::sfCalcIncTax('1500')
-                ,'price02_max_inctax' => SC_Helper_DB::sfCalcIncTax('1500')
+                ,'price01_min_inctax' => SC_Helper_DB_Ex::sfCalcIncTax('1500')
+                ,'price01_max_inctax' => SC_Helper_DB_Ex::sfCalcIncTax('1500')
+                ,'price02_min_inctax' => SC_Helper_DB_Ex::sfCalcIncTax('1500')
+                ,'price02_max_inctax' => SC_Helper_DB_Ex::sfCalcIncTax('1500')
                 ,'maker_id' => null
                 ,'comment4' => null
Index: /branches/version-2_12-dev/tests/class/SC_Product/SC_Product_getListByProductIdsTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/SC_Product/SC_Product_getListByProductIdsTest.php	(revision 22192)
+++ /branches/version-2_12-dev/tests/class/SC_Product/SC_Product_getListByProductIdsTest.php	(revision 22484)
@@ -64,8 +64,8 @@
                 ,'del_flg' => '0'
                 ,'update_date' => $arrRet[0]
-                ,'price01_min_inctax' => SC_Helper_DB::sfCalcIncTax('1500')
-                ,'price01_max_inctax' => SC_Helper_DB::sfCalcIncTax('1500')
-                ,'price02_min_inctax' => SC_Helper_DB::sfCalcIncTax('1500')
-                ,'price02_max_inctax' => SC_Helper_DB::sfCalcIncTax('1500')
+                ,'price01_min_inctax' => SC_Helper_DB_Ex::sfCalcIncTax('1500')
+                ,'price01_max_inctax' => SC_Helper_DB_Ex::sfCalcIncTax('1500')
+                ,'price02_min_inctax' => SC_Helper_DB_Ex::sfCalcIncTax('1500')
+                ,'price02_max_inctax' => SC_Helper_DB_Ex::sfCalcIncTax('1500')
             )
         );
Index: /branches/version-2_12-dev/tests/class/SC_Product/SC_Product_getDetailAndProductsClassTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/SC_Product/SC_Product_getDetailAndProductsClassTest.php	(revision 22192)
+++ /branches/version-2_12-dev/tests/class/SC_Product/SC_Product_getDetailAndProductsClassTest.php	(revision 22484)
@@ -50,8 +50,8 @@
                 ,'del_flg' => '0'
                 ,'update_date' => $arrRet[0]
-                ,'price01_min_inctax' => SC_Helper_DB::sfCalcIncTax('1500')
-                ,'price01_max_inctax' => SC_Helper_DB::sfCalcIncTax('1500')
-                ,'price02_min_inctax' => SC_Helper_DB::sfCalcIncTax('1500')
-                ,'price02_max_inctax' => SC_Helper_DB::sfCalcIncTax('1500')
+                ,'price01_min_inctax' => SC_Helper_DB_Ex::sfCalcIncTax('1500')
+                ,'price01_max_inctax' => SC_Helper_DB_Ex::sfCalcIncTax('1500')
+                ,'price02_min_inctax' => SC_Helper_DB_Ex::sfCalcIncTax('1500')
+                ,'price02_max_inctax' => SC_Helper_DB_Ex::sfCalcIncTax('1500')
                 ,'maker_id' => null
                 ,'comment4' => null