Index: /branches/version-2_12-multilang/data/locales/en-US.po
===================================================================
--- /branches/version-2_12-multilang/data/locales/en-US.po	(revision 22500)
+++ /branches/version-2_12-multilang/data/locales/en-US.po	(revision 22501)
@@ -2958,76 +2958,73 @@
 msgstr "Standard management"
 
-msgid "LC_Page_Admin_Products_Class_002"
+msgid "c_* Registration of the same contents already exists.<br>_02"
 msgstr "* Registration of the same contents already exists.<br>"
 
-msgid "LC_Page_Admin_Products_ClassCategory_001"
+msgid "c_Standard management>category registration_01"
 msgstr "Standard management>category registration"
 
-msgid "LC_Page_Admin_Products_ClassCategory_002"
+msgid "c_* Registration of the same contents already exists.<br>_03"
 msgstr "* Registration of the same contents already exists.<br>"
 
-msgid "LC_Page_Admin_Products_Maker_001"
+msgid "c_Manufacturer registration_01"
 msgstr "Manufacturer registration"
 
-msgid "LC_Page_Admin_Products_Maker_002"
+msgid "c_* The manufacturer ID is inadequate<br />_01"
 msgstr "* The manufacturer ID is inadequate<br />"
 
-msgid "LC_Page_Admin_Products_Maker_003"
+msgid "c_* Registration of the same contents already exists.<br />_01"
 msgstr "* Registration of the same contents already exists.<br />"
 
-msgid "LC_Page_Admin_Products_Product_001"
+msgid "c_Product registration_01"
 msgstr "Product registration"
 
-msgid "LC_Page_Admin_Products_Product_002"
+msgid "c_* This is a related product that is already registered.<br />_01"
 msgstr "* This is a related product that is already registered.<br />"
 
-msgid "LC_Page_Admin_Products_ProductClass_001"
+msgid "c_Product registration (product specification)_01"
 msgstr "Product registration (product specification)"
 
-msgid "LC_Page_Admin_Products_ProductClass_002"
+msgid "c_* A standard is not selected.<br />_01"
 msgstr "* A standard is not selected.<br />"
 
-msgid "LC_Page_Admin_Products_ProductClass_003"
-msgstr "* T_ARG1 is blank. <br />"
-
-msgid "LC_Page_Admin_Products_ProductClass_004"
+msgid "c_* Inventory count is not entered.<br />_01"
 msgstr "* Inventory count is not entered.<br />"
 
-msgid "LC_Page_Admin_Products_ProductClass_005"
+msgid "c_* Select one for the product type.<br />_01"
 msgstr "* Select one for the product type.<br />"
 
-msgid "LC_Page_Admin_Products_ProductClass_006"
+msgid "c_* For downloaded products, enter the name of the downloaded file.<br />_01"
 msgstr ""
 "* For downloaded products, enter the name of the downloaded file.<br />"
 
-msgid "LC_Page_Admin_Products_ProductClass_007"
+msgid "c_* For downloaded products, please upload the file for the downloaded product. <br />_01"
 msgstr ""
 "* For downloaded products, please upload the file for the downloaded "
 "product. <br />"
 
-msgid "LC_Page_Admin_Products_ProductClass_008"
+msgid "c_* For regular products, it is not possible to set a download file name.<br />_01"
 msgstr ""
 "* For regular products, it is not possible to set a download file name.<br />"
 
-msgid "LC_Page_Admin_Products_ProductClass_009"
+msgid "c_* For actual products, it is not possible to upload the file for the downloaded product. <br /> Please cancel the file. <br />_01"
 msgstr ""
 "* For actual products, it is not possible to upload the file for the "
 "downloaded product. <br /> Please cancel the file. <br />"
 
-msgid "LC_Page_Admin_Products_ProductClass_010"
+msgid "c_* The file is not uploaded._01"
 msgstr "* The file is not uploaded."
 
-msgid "LC_Page_Admin_Products_ProductClass_011"
+msgid "c_* For the file size of the file name for download sales, use one that is T_ARG1T_ARG2 or less <br />_01"
 msgstr ""
 "* For the file size of the file name for download sales, use one that is "
-"T_ARG1T_ARG2 or less <br />'"
+"T_ARG1T_ARG2 or less <br />"
 
 msgid "LC_Page_Admin_Products_ProductClass_012"
 msgstr "File name for download sales"
 
-msgid "LC_Page_Admin_Products_ProductClass_013"
+msgid "c_* The format permitted for T_ARG1 is T_ARG2.<br />_01"
 msgstr "* The format permitted for T_ARG1 is T_ARG2.<br />"
 
-msgid "LC_Page_Admin_Products_ProductRank_001"
+msgid "c_Product rearrangement_01"
 msgstr "Product rearrangement"
 
@@ -3035,46 +3032,43 @@
 msgstr "Product selection"
 
-msgid "LC_Page_Admin_Products_Review_001"
+msgid "c_Review management_01"
 msgstr "Review management"
 
-msgid "LC_Page_Admin_Products_ReviewEdit_001"
-msgstr "Review management"
-
-msgid "LC_Page_Admin_Products_UploadCSV_001"
+msgid "c_Product registration CSV_01"
 msgstr "Product registration CSV"
 
-msgid "LC_Page_Admin_Products_UploadCSV_002"
+msgid "c_Line T_ARG1: T_ARG2_01"
 msgstr "Line T_ARG1: T_ARG2"
 
-msgid "LC_Page_Admin_Products_UploadCSV_003"
+msgid "c_* T_ARG1 was detected for the item quantity. The item quantity is T_ARG2._01"
 msgstr ""
 "* T_ARG1 was detected for the item quantity. The item quantity is T_ARG2."
 
-msgid "LC_Page_Admin_Products_UploadCSV_004"
+msgid "c_Product ID: T_ARG1 / Product name: T_ARG2_01"
 msgstr "Product ID: T_ARG1 / Product name: T_ARG2"
 
-msgid "LC_Page_Admin_Products_UploadCSV_005"
+msgid "c_* The designated product specification ID is not registered._01"
 msgstr "* The designated product specification ID is not registered."
 
-msgid "LC_Page_Admin_Products_UploadCSV_006"
+msgid "c_* During product specification ID designation, it is necessary to designate a product ID._01"
 msgstr ""
 "* During product specification ID designation, it is necessary to designate "
 "a product ID."
 
-msgid "LC_Page_Admin_Products_UploadCSV_007"
+msgid "c_* The designated product ID and production specification ID combination is not correct._01"
 msgstr ""
 "* The designated product ID and production specification ID combination is "
 "not correct."
 
-msgid "LC_Page_Admin_Products_UploadCSV_008"
+msgid "c_* The designated display status is not registered._01"
 msgstr "* The designated display status is not registered."
 
-msgid "LC_Page_Admin_Products_UploadCSV_009"
+msgid "c_* The designated manufacturer ID is not registered._01"
 msgstr "* The designated manufacturer ID is not registered."
 
-msgid "LC_Page_Admin_Products_UploadCSV_010"
+msgid "c_* The designated target delivery date ID is not registered._01"
 msgstr "* The designated target delivery date ID is not registered."
 
-msgid "LC_Page_Admin_Products_UploadCSV_011"
+msgid "c_* The specified product ID does not exist._01"
 msgstr "* The specified product ID does not exist."
 
@@ -3115,11 +3109,4 @@
 msgstr "Category registration CSV"
 
-msgid "c_Line T_ARG1: T_ARG2_01"
-msgstr "Line T_ARG1: T_ARG2"
-
-msgid "c_* T_ARG1 was detected for the item quantity. The item quantity is T_ARG2._01"
-msgstr ""
-"* T_ARG1 was detected for the item quantity. The item quantity is T_ARG2."
-
 msgid "c_Category ID: T_ARG1 /Category name: T_ARG2_01"
 msgstr "Category ID: T_ARG1 /Category name: T_ARG2"
@@ -3138,6 +3125,6 @@
 msgstr "* Registration of the T_ARG1 hierarchy or higher is not possible."
 
-msgid "LC_Page_Admin_System_001"
-msgstr "Member management"
+msgid "c_Admin management_01"
+msgstr "Admin management"
 
 msgid "c_Not operating_01"
Index: /branches/version-2_12-multilang/data/locales/ja.po
===================================================================
--- /branches/version-2_12-multilang/data/locales/ja.po	(revision 22500)
+++ /branches/version-2_12-multilang/data/locales/ja.po	(revision 22501)
@@ -2935,75 +2935,72 @@
 msgstr "規格管理"
 
-msgid "LC_Page_Admin_Products_Class_002"
+msgid "c_* Registration of the same contents already exists.<br>_02"
 msgstr "※ 既に同じ内容の登録が存在します。<br>"
 
-msgid "LC_Page_Admin_Products_ClassCategory_001"
+msgid "c_Standard management>category registration_01"
 msgstr "規格管理＞分類登録"
 
-msgid "LC_Page_Admin_Products_ClassCategory_002"
+msgid "c_* Registration of the same contents already exists.<br>_03"
 msgstr "※ 既に同じ内容の登録が存在します。<br>"
 
-msgid "LC_Page_Admin_Products_Maker_001"
+msgid "c_Manufacturer registration_01"
 msgstr "メーカー登録"
 
-msgid "LC_Page_Admin_Products_Maker_002"
+msgid "c_* The manufacturer ID is inadequate<br />_01"
 msgstr "※ メーカーIDが不正です<br />"
 
-msgid "LC_Page_Admin_Products_Maker_003"
+msgid "c_* Registration of the same contents already exists.<br />_01"
 msgstr "※ 既に同じ内容の登録が存在します。<br />"
 
-msgid "LC_Page_Admin_Products_Product_001"
+msgid "c_Product registration_01"
 msgstr "商品登録"
 
-msgid "LC_Page_Admin_Products_Product_002"
+msgid "c_* This is a related product that is already registered.<br />_01"
 msgstr "※ すでに登録されている関連商品です。<br />"
 
-msgid "LC_Page_Admin_Products_ProductClass_001"
+msgid "c_Product registration (product specification)_01"
 msgstr "商品登録(商品規格)"
 
-msgid "LC_Page_Admin_Products_ProductClass_002"
+msgid "c_* A standard is not selected.<br />_01"
 msgstr "※ 規格が選択されていません。<br />"
 
-msgid "LC_Page_Admin_Products_ProductClass_003"
-msgstr "※ T_ARG1が入力されていません。<br />"
-
-msgid "LC_Page_Admin_Products_ProductClass_004"
+msgid "c_* Inventory count is not entered.<br />_01"
 msgstr "※ 在庫数が入力されていません。<br />"
 
-msgid "LC_Page_Admin_Products_ProductClass_005"
+msgid "c_* Select one for the product type.<br />_01"
 msgstr "※ 商品種別は、いずれかを選択してください。<br />"
 
-msgid "LC_Page_Admin_Products_ProductClass_006"
+msgid "c_* For downloaded products, enter the name of the downloaded file.<br />_01"
 msgstr ""
 "※ ダウンロード商品の場合はダウンロードファイル名を入力してください。<br />"
 
-msgid "LC_Page_Admin_Products_ProductClass_007"
+msgid "c_* For downloaded products, please upload the file for the downloaded product. <br />_01"
 msgstr ""
 "※ ダウンロード商品の場合はダウンロード商品用ファイルをアップロードしてくださ"
 "い。<br />"
 
-msgid "LC_Page_Admin_Products_ProductClass_008"
+msgid "c_* For regular products, it is not possible to set a download file name.<br />_01"
 msgstr "※ 通常商品の場合はダウンロードファイル名を設定できません。<br />"
 
-msgid "LC_Page_Admin_Products_ProductClass_009"
+msgid "c_* For actual products, it is not possible to upload the file for the downloaded product. <br /> Please cancel the file. <br />_01"
 msgstr ""
 "※ 実商品の場合はダウンロード商品用ファイルをアップロードできません。<br />"
 "ファイルを取り消してください。<br />"
 
-msgid "LC_Page_Admin_Products_ProductClass_010"
+msgid "c_* The file is not uploaded._01"
 msgstr "※ ファイルがアップロードされていません"
 
-msgid "LC_Page_Admin_Products_ProductClass_011"
+msgid "c_* For the file size of the file name for download sales, use one that is T_ARG1T_ARG2 or less <br />_01"
 msgstr ""
 "※ ダウンロード販売用ファイル名のファイルサイズはT_ARG1T_ARG2以下のものを"
-"使用してください。<br />'"
+"使用してください。<br />"
 
 msgid "LC_Page_Admin_Products_ProductClass_012"
 msgstr "ダウンロード販売用ファイル名"
 
-msgid "LC_Page_Admin_Products_ProductClass_013"
+msgid "c_* The format permitted for T_ARG1 is T_ARG2.<br />_01"
 msgstr "※ T_ARG1で許可されている形式は、T_ARG2です。<br />"
 
-msgid "LC_Page_Admin_Products_ProductRank_001"
+msgid "c_Product rearrangement_01"
 msgstr "商品並び替え"
 
@@ -3011,41 +3008,38 @@
 msgstr "商品選択"
 
-msgid "LC_Page_Admin_Products_Review_001"
+msgid "c_Review management_01"
 msgstr "レビュー管理"
 
-msgid "LC_Page_Admin_Products_ReviewEdit_001"
-msgstr "レビュー管理"
-
-msgid "LC_Page_Admin_Products_UploadCSV_001"
+msgid "c_Product registration CSV_01"
 msgstr "商品登録CSV"
 
-msgid "LC_Page_Admin_Products_UploadCSV_002"
+msgid "c_Line T_ARG1: T_ARG2_01"
 msgstr "T_ARG1行目：T_ARG2"
 
-msgid "LC_Page_Admin_Products_UploadCSV_003"
+msgid "c_* T_ARG1 was detected for the item quantity. The item quantity is T_ARG2._01"
 msgstr "※ 項目数がT_ARG1個検出されました。項目数はT_ARG2個になります。"
 
-msgid "LC_Page_Admin_Products_UploadCSV_004"
+msgid "c_Product ID: T_ARG1 / Product name: T_ARG2_01"
 msgstr "商品ID：T_ARG1 / 商品名：T_ARG2"
 
-msgid "LC_Page_Admin_Products_UploadCSV_005"
+msgid "c_* The designated product specification ID is not registered._01"
 msgstr "※ 指定の商品規格IDは、登録されていません。"
 
-msgid "LC_Page_Admin_Products_UploadCSV_006"
+msgid "c_* During product specification ID designation, it is necessary to designate a product ID._01"
 msgstr "※ 商品規格ID指定時には商品IDの指定が必須です。"
 
-msgid "LC_Page_Admin_Products_UploadCSV_007"
+msgid "c_* The designated product ID and production specification ID combination is not correct._01"
 msgstr "※ 指定の商品IDと商品規格IDの組合せは正しくありません。"
 
-msgid "LC_Page_Admin_Products_UploadCSV_008"
+msgid "c_* The designated display status is not registered._01"
 msgstr "※ 指定の表示ステータスは、登録されていません。"
 
-msgid "LC_Page_Admin_Products_UploadCSV_009"
+msgid "c_* The designated manufacturer ID is not registered._01"
 msgstr "※ 指定のメーカーIDは、登録されていません。"
 
-msgid "LC_Page_Admin_Products_UploadCSV_010"
+msgid "c_* The designated target delivery date ID is not registered._01"
 msgstr "※ 指定の発送日目安IDは、登録されていません。"
 
-msgid "LC_Page_Admin_Products_UploadCSV_011"
+msgid "c_* The specified product ID does not exist._01"
 msgstr "※ 指定の商品種別IDは、登録されていません。"
 
@@ -3082,10 +3076,4 @@
 msgstr "カテゴリ登録CSV"
 
-msgid "c_Line T_ARG1: T_ARG2_01"
-msgstr "T_ARG1行目：T_ARG2"
-
-msgid "c_* T_ARG1 was detected for the item quantity. The item quantity is T_ARG2._01"
-msgstr "※ 項目数がT_ARG1個検出されました。項目数はT_ARG2個になります。"
-
 msgid "c_Category ID: T_ARG1 /Category name: T_ARG2_01"
 msgstr "カテゴリID：T_ARG1 / カテゴリ名：T_ARG2"
@@ -3103,5 +3091,5 @@
 msgstr "※ T_ARG1階層以上の登録はできません。"
 
-msgid "LC_Page_Admin_System_001"
+msgid "c_Admin management_01"
 msgstr "メンバー管理"
 
Index: /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php
===================================================================
--- /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php	(revision 22496)
+++ /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php	(revision 22501)
@@ -48,5 +48,5 @@
         $this->tpl_subno = 'product';
         $this->tpl_maintitle = t('c_Products_01');
-        $this->tpl_subtitle = t('LC_Page_Admin_Products_ProductClass_001');
+        $this->tpl_subtitle = t('c_Product registration (product specification)_01');
         $masterData = new SC_DB_MasterData_Ex();
         $this->arrProductType = $masterData->getMasterData('mtb_product_type');
@@ -328,5 +328,5 @@
 
         if (SC_Utils_Ex::isBlank($arrValues['check'])) {
-            $arrErr['check_empty'] = t('LC_Page_Admin_Products_ProductClass_002');
+            $arrErr['check_empty'] = t('c_* A standard is not selected.<br />_01');
         }
 
@@ -343,5 +343,5 @@
                  */
                 if (SC_Utils_Ex::isBlank($arrValues['price02'][$i])) {
-                    $arrErr['price02'][$i] = t('LC_Page_Admin_Products_ProductClass_003', array('T_ARG1' => SALE_PRICE_TITLE));
+                    $arrErr['price02'][$i] = t('c_* T_ARG1 is blank. <br />_01', array('T_ARG1' => SALE_PRICE_TITLE));
                 }
                 /*
@@ -351,5 +351,5 @@
                     && SC_Utils_Ex::isBlank($arrValues['stock'][$i])
                 ) {
-                    $arrErr['stock'][$i] = t('LC_Page_Admin_Products_ProductClass_004');
+                    $arrErr['stock'][$i] = t('c_* Inventory count is not entered.<br />_01');
                 }
                 /*
@@ -357,5 +357,5 @@
                  */
                 if (SC_Utils_Ex::isBlank($arrValues['product_type_id'][$i])) {
-                    $arrErr['product_type_id'][$i] = t('LC_Page_Admin_Products_ProductClass_005');
+                    $arrErr['product_type_id'][$i] = t('c_* Select one for the product type.<br />_01');
                 }
                 /*
@@ -364,8 +364,8 @@
                 if ($arrValues['product_type_id'][$i] == PRODUCT_TYPE_DOWNLOAD) {
                     if (SC_Utils_Ex::isBlank($arrValues['down_filename'][$i])) {
-                        $arrErr['down_filename'][$i] = t('LC_Page_Admin_Products_ProductClass_006');
+                        $arrErr['down_filename'][$i] = t('c_* For downloaded products, enter the name of the downloaded file.<br />_01');
                     }
                     if (SC_Utils_Ex::isBlank($arrValues['down_realfilename'][$i])) {
-                        $arrErr['down_realfilename'][$i] = t('LC_Page_Admin_Products_ProductClass_007');
+                        $arrErr['down_realfilename'][$i] = t('c_* For downloaded products, please upload the file for the downloaded product. <br />_01');
                     }
                 }
@@ -375,8 +375,8 @@
                 else if ($arrValues['product_type_id'][$i] == PRODUCT_TYPE_NORMAL) {
                     if (!SC_Utils_Ex::isBlank($arrValues['down_filename'][$i])) {
-                        $arrErr['down_filename'][$i] = t('LC_Page_Admin_Products_ProductClass_008');
+                        $arrErr['down_filename'][$i] = t('c_* For regular products, it is not possible to set a download file name.<br />_01');
                     }
                     if (!SC_Utils_Ex::isBlank($arrValues['down_realfilename'][$i])) {
-                        $arrErr['down_realfilename'][$i] = t('LC_Page_Admin_Products_ProductClass_009');
+                        $arrErr['down_realfilename'][$i] = t('c_* For actual products, it is not possible to upload the file for the downloaded product. <br /> Please cancel the file. <br />_01');
                     }
                 }
@@ -568,5 +568,5 @@
 
         if ($_FILES['down_realfilename']['size'][$index] <= 0) {
-            $this->arrErr['down_realfilename'][$index] = t('LC_Page_Admin_Products_ProductClass_010');
+            $this->arrErr['down_realfilename'][$index] = t('c_* The file is not uploaded._01');
         } else if ($_FILES['down_realfilename']['size'][$index] > DOWN_SIZE *  1024) {
             $size = DOWN_SIZE;
@@ -576,5 +576,5 @@
                 $byte = 'MB';
             }
-            t('LC_Page_Admin_Products_ProductClass_011', array('T_ARG1' => $size, 'T_ARG2' => $byte));
+            t('c_* For the file size of the file name for download sales, use one that is T_ARG1T_ARG2 or less <br />_01', array('T_ARG1' => $size, 'T_ARG2' => $byte));
         } else {
             // SC_CheckError::FILE_EXT_CHECK とのソース互換を強めるための配列
@@ -599,5 +599,5 @@
             if ($match === false) {
                 $str_ext = implode('・', $value[2]);
-                t('LC_Page_Admin_Products_ProductClass_013', array('T_ARG1' => $value[0], 'T_ARG2' => $str_ext));
+                t('c_* The format permitted for T_ARG1 is T_ARG2.<br />_01', array('T_ARG1' => $value[0], 'T_ARG2' => $str_ext));
             // ▲SC_CheckError::FILE_EXT_CHECK から移植
             } else {
Index: /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_ReviewEdit.php
===================================================================
--- /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_ReviewEdit.php	(revision 22496)
+++ /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_ReviewEdit.php	(revision 22501)
@@ -53,5 +53,5 @@
         $this->arrRECOMMEND = $masterData->getMasterData('mtb_recommend');
         $this->tpl_maintitle = t('c_Products_01');
-        $this->tpl_subtitle = t('LC_Page_Admin_Products_ReviewEdit_001');
+        $this->tpl_subtitle = t('c_Review management_01');
         $this->arrSex = $masterData->getMasterData('mtb_sex');
     }
Index: /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_ProductRank.php
===================================================================
--- /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_ProductRank.php	(revision 22496)
+++ /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_ProductRank.php	(revision 22501)
@@ -48,5 +48,5 @@
         $this->tpl_subno = 'product_rank';
         $this->tpl_maintitle = t('c_Products_01');
-        $this->tpl_subtitle = t('LC_Page_Admin_Products_ProductRank_001');
+        $this->tpl_subtitle = t('c_Product rearrangement_01');
     }
 
Index: /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_Maker.php
===================================================================
--- /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_Maker.php	(revision 22496)
+++ /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_Maker.php	(revision 22501)
@@ -47,5 +47,5 @@
         $this->tpl_subno = 'maker';
         $this->tpl_maintitle = t('c_Products_01');
-        $this->tpl_subtitle = t('LC_Page_Admin_Products_Maker_001');
+        $this->tpl_subtitle = t('c_Manufacturer registration_01');
         $this->tpl_mainno = 'products';
     }
@@ -295,5 +295,5 @@
             ) {
                 // maker_idが指定されていて、且つその値が不正と思われる場合はエラー
-                $arrErr['maker_id'] = t('LC_Page_Admin_Products_Maker_002');
+                $arrErr['maker_id'] = t('c_* The manufacturer ID is inadequate<br />_01');
             }
         }
@@ -305,5 +305,5 @@
             // 編集中のレコード以外に同じ名称が存在する場合
             if ($arrMaker[0]['maker_id'] != $arrForm['maker_id'] && $arrMaker[0]['name'] == $arrForm['name']) {
-                $arrErr['name'] = t('LC_Page_Admin_Products_Maker_003');
+                $arrErr['name'] = t('c_* Registration of the same contents already exists.<br />_01');
             }
         }
Index: /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php
===================================================================
--- /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 22496)
+++ /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 22501)
@@ -48,5 +48,5 @@
         $this->tpl_subno = 'product';
         $this->tpl_maintitle = t('c_Products_01');
-        $this->tpl_subtitle = t('LC_Page_Admin_Products_Product_001');
+        $this->tpl_subtitle = t('c_Product registration_01');
 
         $masterData = new SC_DB_MasterData_Ex();
@@ -506,5 +506,5 @@
                     // 重複した場合、選択されたデータをリセットする
                     $arrForm['recommend_id' . $select_recommend_no] = '';
-                    $arrErr['recommend_comment' . $select_recommend_no] = t('LC_Page_Admin_Products_Product_002');
+                    $arrErr['recommend_comment' . $select_recommend_no] = t('c_* This is a related product that is already registered.<br />_01');
                     break;
                 }
Index: /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php
===================================================================
--- /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 22498)
+++ /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 22501)
@@ -66,5 +66,5 @@
         $this->tpl_subno = 'upload_csv';
         $this->tpl_maintitle = t('c_Products_01');
-        $this->tpl_subtitle = t('LC_Page_Admin_Products_UploadCSV_001');
+        $this->tpl_subtitle = t('c_Product registration CSV_01');
         $this->csv_id = '1';
 
@@ -143,5 +143,5 @@
      */
     function addRowResult($line_count, $message) {
-        $this->arrRowResult[] = t('LC_Page_Admin_Products_UploadCSV_002', array('T_ARG1' => $line_count, 'T_ARG2' => $message));
+        $this->arrRowResult[] = t('c_Line T_ARG1: T_ARG2_01', array('T_ARG1' => $line_count, 'T_ARG2' => $message));
     }
 
@@ -154,5 +154,5 @@
      */
     function addRowErr($line_count, $message) {
-        $this->arrRowErr[] = t('LC_Page_Admin_Products_UploadCSV_002', array('T_ARG1' => $line_count, 'T_ARG2' => $message));
+        $this->arrRowErr[] = t('c_Line T_ARG1: T_ARG2_01', array('T_ARG1' => $line_count, 'T_ARG2' => $message));
     }
 
@@ -225,5 +225,5 @@
             $col_count = count($arrCSV);
             if ($col_max_count != $col_count) {
-                $this->addRowErr($line_count, t('LC_Page_Admin_Products_UploadCSV_003', array('T_ARG1' => $col_count, 'T_ARG2' => $col_max_count)));
+                $this->addRowErr($line_count, t('c_* T_ARG1 was detected for the item quantity. The item quantity is T_ARG2._01', array('T_ARG1' => $col_count, 'T_ARG2' => $col_max_count)));
                 $errFlag = true;
                 break;
@@ -251,5 +251,5 @@
                 $arrParam = $objFormParam->getHashArray();
 
-                $this->addRowResult($line_count, t('LC_Page_Admin_Products_UploadCSV_004', array('T_ARG1' => $arrParam['product_id'], 'T_ARG2' => $arrParam['name'])));
+                $this->addRowResult($line_count, t('c_Product ID: T_ARG1 / Product name: T_ARG2_01', array('T_ARG1' => $arrParam['product_id'], 'T_ARG2' => $arrParam['name'])));
             }
             SC_Utils_Ex::extendTimeOut();
@@ -620,5 +620,5 @@
         // FIXME 規格分類ID自体のが有効かを主眼においたチェックをすべきと感じる。
         if (!$this->lfIsDbRecord('dtb_products_class', 'product_class_id', $item)) {
-            $arrErr['product_class_id'] = t('LC_Page_Admin_Products_UploadCSV_005');
+            $arrErr['product_class_id'] = t('c_* The designated product specification ID is not registered._01');
         }
         // 商品ID、規格IDの組合せチェック
@@ -627,10 +627,10 @@
         ) {
             if ($item['product_id'] == '') {
-                $arrErr['product_class_id'] = t('LC_Page_Admin_Products_UploadCSV_006');
+                $arrErr['product_class_id'] = t('c_* During product specification ID designation, it is necessary to designate a product ID._01');
             } else {
                 if (!$this->objDb->sfIsRecord('dtb_products_class', 'product_id, product_class_id'
                         , array($item['product_id'], $item['product_class_id']))
                 ) {
-                    $arrErr['product_class_id'] = t('LC_Page_Admin_Products_UploadCSV_007');
+                    $arrErr['product_class_id'] = t('c_* The designated product ID and production specification ID combination is not correct._01');
                 }
             }
@@ -638,17 +638,17 @@
         // 表示ステータスの存在チェック
         if (!$this->lfIsArrayRecord($this->arrDISP, 'status', $item)) {
-            $arrErr['status'] = t('LC_Page_Admin_Products_UploadCSV_008');
+            $arrErr['status'] = t('c_* The designated display status is not registered._01');
         }
         // メーカーIDの存在チェック
         if (!$this->lfIsArrayRecord($this->arrMaker, 'maker_id', $item)) {
-            $arrErr['maker_id'] = t('LC_Page_Admin_Products_UploadCSV_009');
+            $arrErr['maker_id'] = t('c_* The designated manufacturer ID is not registered._01');
         }
         // 発送日目安IDの存在チェック
         if (!$this->lfIsArrayRecord($this->arrDELIVERYDATE, 'deliv_date_id', $item)) {
-            $arrErr['deliv_date_id'] = t('LC_Page_Admin_Products_UploadCSV_010');
+            $arrErr['deliv_date_id'] = t('c_* The designated target delivery date ID is not registered._01');
         }
         // 発送日目安IDの存在チェック
         if (!$this->lfIsArrayRecord($this->arrProductType, 'product_type_id', $item)) {
-            $arrErr['product_type_id'] = t('LC_Page_Admin_Products_UploadCSV_011');
+            $arrErr['product_type_id'] = t('c_* The specified product ID does not exist._01');
         }
         // 関連商品IDのチェック
Index: /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_Review.php
===================================================================
--- /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_Review.php	(revision 22496)
+++ /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_Review.php	(revision 22501)
@@ -49,5 +49,5 @@
         $this->tpl_pager = 'pager.tpl';
         $this->tpl_maintitle = t('c_Products_01');
-        $this->tpl_subtitle = t('LC_Page_Admin_Products_Review_001');
+        $this->tpl_subtitle = t('c_Review management_01');
 
         $masterData = new SC_DB_MasterData_Ex();
Index: /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_ClassCategory.php
===================================================================
--- /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_ClassCategory.php	(revision 22496)
+++ /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_ClassCategory.php	(revision 22501)
@@ -47,5 +47,5 @@
         $this->tpl_subno = 'class';
         $this->tpl_maintitle = t('c_Products_01');
-        $this->tpl_subtitle = t('LC_Page_Admin_Products_ClassCategory_001');
+        $this->tpl_subtitle = t('c_Standard management>category registration_01');
         $this->tpl_mainno = 'products';
     }
@@ -266,5 +266,5 @@
         // 編集中のレコード以外に同じ名称が存在する場合
         if ($arrRet[0]['classcategory_id'] != $arrForm['classcategory_id'] && $arrRet[0]['name'] == $arrForm['name']) {
-            $arrErr['name'] = t('LC_Page_Admin_Products_ClassCategory_002');
+            $arrErr['name'] = t('c_* Registration of the same contents already exists.<br>_03');
         }
         return $arrErr;
Index: /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_Class.php
===================================================================
--- /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_Class.php	(revision 22496)
+++ /branches/version-2_12-multilang/data/class/pages/admin/products/LC_Page_Admin_Products_Class.php	(revision 22501)
@@ -256,5 +256,5 @@
         // 編集中のレコード以外に同じ名称が存在する場合
         if ($arrClass[0]['class_id'] != $arrForm['class_id'] && $arrClass[0]['name'] == $arrForm['name']) {
-            $arrErr['name'] = t('LC_Page_Admin_Products_Class_002');
+            $arrErr['name'] = t('c_* Registration of the same contents already exists.<br>_02');
         }
         return $arrErr;
Index: /branches/version-2_12-multilang/data/class/pages/admin/system/LC_Page_Admin_System.php
===================================================================
--- /branches/version-2_12-multilang/data/class/pages/admin/system/LC_Page_Admin_System.php	(revision 22498)
+++ /branches/version-2_12-multilang/data/class/pages/admin/system/LC_Page_Admin_System.php	(revision 22501)
@@ -53,5 +53,5 @@
         $this->tpl_onload   = 'fnGetRadioChecked();';
         $this->tpl_maintitle = t('c_System_01');
-        $this->tpl_subtitle = t('LC_Page_Admin_System_001');
+        $this->tpl_subtitle = t('c_Admin management_01');
 
         $masterData = new SC_DB_MasterData_Ex();