Index: /branches/version-2_12_3en-p1/html/install/index.php
===================================================================
--- /branches/version-2_12_3en-p1/html/install/index.php	(revision 22509)
+++ /branches/version-2_12_3en-p1/html/install/index.php	(revision 22530)
@@ -759,5 +759,5 @@
     if ($normal_dir != $secure_dir) {
         $objErr->arrErr['normal_url'] = t('c_* It is not possible to designate a different hierarchy for the URL._01');
-        $objErr->arrErr['secure_url'] = t('LC_Page_Install_040');
+        $objErr->arrErr['secure_url'] = t('c_* It is not possible to designate a different hierarchy for the URL._01');
     }
 
Index: /branches/version-2_12_3en-p1/data/class/helper/SC_Helper_Transform.php
===================================================================
--- /branches/version-2_12_3en-p1/data/class/helper/SC_Helper_Transform.php	(revision 22489)
+++ /branches/version-2_12_3en-p1/data/class/helper/SC_Helper_Transform.php	(revision 22530)
@@ -67,5 +67,5 @@
                 $encoding = t("c_Not detectable_01");
             }
-            $msg = t('SC_Helper_Transform_002', array('T_ARG1' => $encoding));
+            $msg = t('c_The templates character code is T_ARG1. UTF 8 can only be used._01', array('T_ARG1' => $encoding));
             SC_Utils_Ex::sfDispSiteError(FREE_ERROR_MSG, '', true, $msg);
         }
Index: /branches/version-2_12_3en-p1/data/class/pages/shopping/LC_Page_Shopping_Multiple.php
===================================================================
--- /branches/version-2_12_3en-p1/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 22528)
+++ /branches/version-2_12_3en-p1/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 22530)
@@ -143,5 +143,5 @@
         $objFormParam->addParam(t('c_Main image_01'), 'main_image');
         $objFormParam->addParam(t('c_Main list image_01'), 'main_list_image');
-        $objFormParam->addParam(t('PARAM_LABEL_SELLPRICE'), 'price');
+        $objFormParam->addParam(t('c_Sales price_01'), 'price');
         $objFormParam->addParam(t('c_Quantity_01'), 'quantity', INT_LEN, 'n', array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'NUM_CHECK'), 1);
         $objFormParam->addParam(t('c_Delivery destination_01'), 'shipping', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
Index: /branches/version-2_12_3en-p1/data/class/pages/admin/basis/LC_Page_Admin_Basis_DeliveryInput.php
===================================================================
--- /branches/version-2_12_3en-p1/data/class/pages/admin/basis/LC_Page_Admin_Basis_DeliveryInput.php	(revision 22509)
+++ /branches/version-2_12_3en-p1/data/class/pages/admin/basis/LC_Page_Admin_Basis_DeliveryInput.php	(revision 22530)
@@ -50,6 +50,6 @@
         $this->arrProductType = $masterData->getMasterData('mtb_product_type');
         $this->arrPayments = SC_Helper_DB_Ex::sfGetIDValueList('dtb_payment', 'payment_id', 'payment_method');
-        $this->tpl_maintitle = t('c_Basic information_01');;
-        $this->tpl_subtitle = t('c_Delivery method settings_01');;
+        $this->tpl_maintitle = t('c_Basic information_01');
+        $this->tpl_subtitle = t('c_Delivery method settings_01');
         $this->mode = $this->getMode();
     }
Index: /branches/version-2_12_3en-p1/data/class/pages/admin/basis/LC_Page_Admin_Basis.php
===================================================================
--- /branches/version-2_12_3en-p1/data/class/pages/admin/basis/LC_Page_Admin_Basis.php	(revision 22509)
+++ /branches/version-2_12_3en-p1/data/class/pages/admin/basis/LC_Page_Admin_Basis.php	(revision 22530)
@@ -236,12 +236,12 @@
 
         // 電話番号
-        $objFormParam->addParam(t('PARAM_LABEL_TEL01'), 'tel01', TEL_ITEM_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
-        $objFormParam->addParam(t('PARAM_LABEL_TEL02'), 'tel02', TEL_ITEM_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
-        $objFormParam->addParam(t('PARAM_LABEL_TEL03'), 'tel03', TEL_ITEM_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam(t('c_Telephone number 1_01'), 'tel01', TEL_ITEM_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam(t('c_Telephone number 2_01'), 'tel02', TEL_ITEM_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam(t('c_Telephone number 3_01'), 'tel03', TEL_ITEM_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
 
         // FAX番号
-        $objFormParam->addParam(t('PARAM_LABEL_FAX01'), 'fax01', TEL_ITEM_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
-        $objFormParam->addParam(t('PARAM_LABEL_FAX02'), 'fax02', TEL_ITEM_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
-        $objFormParam->addParam(t('PARAM_LABEL_FAX03'), 'fax03', TEL_ITEM_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam(t('c_Fax number 1_01'), 'fax01', TEL_ITEM_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam(t('c_Fax number 2_01'), 'fax02', TEL_ITEM_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam(t('c_Fax number 3_01'), 'fax03', TEL_ITEM_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
 
         // その他
Index: /branches/version-2_12_3en-p1/data/class/pages/admin/products/LC_Page_Admin_Products_Class.php
===================================================================
--- /branches/version-2_12_3en-p1/data/class/pages/admin/products/LC_Page_Admin_Products_Class.php	(revision 22501)
+++ /branches/version-2_12_3en-p1/data/class/pages/admin/products/LC_Page_Admin_Products_Class.php	(revision 22530)
@@ -46,5 +46,5 @@
         $this->tpl_mainpage = 'products/class.tpl';
         $this->tpl_subno = 'class';
-        $this->tpl_subtitle = t('LC_Page_Admin_Products_Class_001');
+        $this->tpl_subtitle = t('c_Standard management_01');
         $this->tpl_maintitle = t('c_Products_01');
         $this->tpl_mainno = 'products';
Index: /branches/version-2_12_3en-p1/data/locales/en-US.po
===================================================================
--- /branches/version-2_12_3en-p1/data/locales/en-US.po	(revision 22510)
+++ /branches/version-2_12_3en-p1/data/locales/en-US.po	(revision 22530)
@@ -2769,5 +2769,5 @@
 msgstr "* Registration of the same contents already exists.<br/>"
 
-msgid "LC_Page_Admin_Products_Class_001"
+msgid "c_Standard management_01"
 msgstr "Standard management"
 
@@ -3198,4 +3198,7 @@
 msgid "c_Not detectable_01"
 msgstr "Not detectable"
+
+msgid "c_The templates character code is T_ARG1. UTF 8 can only be used._01"
+msgstr "The templates character code is T_ARG1. UTF 8 can only be used."
 
 msgid "c_<br />T_ARG1 does not exist_01"
Index: /branches/version-2_12_3en-p1/data/locales/ja.po
===================================================================
--- /branches/version-2_12_3en-p1/data/locales/ja.po	(revision 22510)
+++ /branches/version-2_12_3en-p1/data/locales/ja.po	(revision 22530)
@@ -2741,5 +2741,5 @@
 msgstr "※ 既に同じ内容の登録が存在します。<br/>"
 
-msgid "LC_Page_Admin_Products_Class_001"
+msgid "c_Standard management_01"
 msgstr "規格管理"
 
@@ -3159,4 +3159,7 @@
 msgid "c_Not detectable_01"
 msgstr "検出不能"
+
+msgid "c_The templates character code is T_ARG1. UTF 8 can only be used._01"
+msgstr "テンプレートの文字コードが「T_ARG1」です。「UTF-8」のみ利用できます。"
 
 msgid "c_<br />T_ARG1 does not exist_01"