Index: branches/version-2_12-dev/data/class/helper/SC_Helper_Purchase.php
===================================================================
--- branches/version-2_12-dev/data/class/helper/SC_Helper_Purchase.php	(revision 22313)
+++ branches/version-2_12-dev/data/class/helper/SC_Helper_Purchase.php	(revision 22537)
@@ -569,17 +569,4 @@
         }
         return $arrPayment;
-    }
-
-    /**
-     * 支払方法の詳細を取得する.
-     *
-     * @param integer $payment_id お支払い方法
-     * @return array 支払方法詳細の配列
-     */
-    function getPaymentsByPaymentsId($payment_id) {
-        $objQuery =& SC_Query_Ex::getSingletonInstance();
-        $where = 'payment_id = ? AND del_flg = 0';
-        $arrValues = array($payment_id);
-        return $objQuery->getRow('*', 'dtb_payment', $where, $arrValues);
     }
 
Index: branches/version-2_12-dev/data/class/helper/SC_Helper_Payment.php
===================================================================
--- branches/version-2_12-dev/data/class/helper/SC_Helper_Payment.php	(revision 22206)
+++ branches/version-2_12-dev/data/class/helper/SC_Helper_Payment.php	(revision 22537)
@@ -35,9 +35,13 @@
      * 
      * @param integer $payment_id 支払方法ID
+     * @param boolean $has_deleted 削除された支払方法も含む場合 true; 初期値 false
      * @return array
      */
-    public function get($payment_id) {
+    public function get($payment_id, $has_deleted = false) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $where = 'payment_id = ?';
+        if (!$has_deleted) {
+            $where .= ' del_flg = 0';
+        }
         $arrRet = $objQuery->select('*', 'dtb_payment', $where, array($payment_id));
         return $arrRet[0];
@@ -47,10 +51,14 @@
      * 支払方法一覧の取得.
      *
+     * @param boolean $has_deleted 削除された支払方法も含む場合 true; 初期値 false
      * @return array
      */
-    public function getList() {
+    public function getList($has_deleted = false) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $col = 'payment_id, payment_method, charge, rule_max, upper_rule, note, fix, charge_flg';
-        $where = 'del_flg = 0';
+        $where = '';
+        if (!$has_deleted) {
+            $where .= 'del_flg = 0';
+        }
         $table = 'dtb_payment';
         $objQuery->setOrder('rank DESC');
@@ -131,3 +139,12 @@
         return !SC_Utils_Ex::isBlank($memo03);
     }
+
+    /**
+     * 支払方法IDをキー, 名前を値とする配列を取得.
+     * 
+     * @return array
+     */
+    public static function getIDValueList() {
+        return SC_Helper_DB_Ex::sfGetIDValueList('dtb_payment', 'payment_id', 'payment_method');
+    }
 }
Index: branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php
===================================================================
--- branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 22206)
+++ branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 22537)
@@ -327,5 +327,6 @@
             }
             // ポイント差し引き後の決済方法チェック
-            $arrPayments = $objPurchase->getPaymentsByPaymentsId($arrForm['payment_id']);
+            $objPayment = new SC_Helper_Payment_Ex();
+            $arrPayments = $objPayment->get($arrForm['payment_id']);
             if ($arrPayments['rule_max'] > $subtotal - $arrForm['use_point'] * POINT_VALUE) {
                 $objErr->arrErr['use_point'] = '※ 選択した支払方法では、ポイントは'.($subtotal - $arrPayments['rule_max']).'ポイントまでご利用いただけます。<br>';
Index: branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_DeliveryInput.php
===================================================================
--- branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_DeliveryInput.php	(revision 22206)
+++ branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_DeliveryInput.php	(revision 22537)
@@ -49,5 +49,5 @@
         $this->arrPref = $masterData->getMasterData('mtb_pref');
         $this->arrProductType = $masterData->getMasterData('mtb_product_type');
-        $this->arrPayments = SC_Helper_DB_Ex::sfGetIDValueList('dtb_payment', 'payment_id', 'payment_method');
+        $this->arrPayments = SC_Helper_Payment_Ex::getIDValueList();
         $this->tpl_maintitle = '基本情報管理';
         $this->tpl_subtitle = '配送方法設定';
Index: branches/version-2_12-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer_Edit.php
===================================================================
--- branches/version-2_12-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer_Edit.php	(revision 22206)
+++ branches/version-2_12-dev/data/class/pages/admin/customer/LC_Page_Admin_Customer_Edit.php	(revision 22537)
@@ -66,6 +66,5 @@
 
         // 支払い方法種別
-        $objDb = new SC_Helper_DB_Ex();
-        $this->arrPayment = $objDb->sfGetIDValueList('dtb_payment', 'payment_id', 'payment_method');
+        $this->arrPayment = SC_Helper_Payment_Ex::getIDValueList();
     }
 
Index: branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php
===================================================================
--- branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 22447)
+++ branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 22537)
@@ -75,5 +75,5 @@
         $this->arrProductType = $masterData->getMasterData('mtb_product_type');
         $this->arrMaker = SC_Helper_DB_Ex::sfGetIDValueList('dtb_maker', 'maker_id', 'name');
-        $this->arrPayments = SC_Helper_DB_Ex::sfGetIDValueList('dtb_payment', 'payment_id', 'payment_method');
+        $this->arrPayments = SC_Helper_Payment_Ex::getIDValueList();
         $this->arrInfo = SC_Helper_DB_Ex::sfGetBasisData();
         $this->arrAllowedTag = $masterData->getMasterData('mtb_allowed_tag');
Index: branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php
===================================================================
--- branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 22493)
+++ branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 22537)
@@ -108,5 +108,5 @@
 
         // 支払い方法の取得
-        $this->arrPayment = SC_Helper_DB_Ex::sfGetIDValueList('dtb_payment', 'payment_id', 'payment_method');
+        $this->arrPayment = SC_Helper_Payment_Ex::getIDValueList();
 
         // 配送業者の取得
Index: branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Disp.php
===================================================================
--- branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Disp.php	(revision 22218)
+++ branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Disp.php	(revision 22537)
@@ -89,5 +89,5 @@
 
         // 支払い方法の取得
-        $this->arrPayment = SC_Helper_DB_Ex::sfGetIDValueList('dtb_payment', 'payment_id', 'payment_method');
+        $this->arrPayment = SC_Helper_Payment_Ex::getIDValueList();
 
         // 配送業者の取得
Index: branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order.php
===================================================================
--- branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order.php	(revision 22522)
+++ branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order.php	(revision 22537)
@@ -71,5 +71,5 @@
 
         // 支払い方法の取得
-        $this->arrPayments = SC_Helper_DB_Ex::sfGetIDValueList('dtb_payment', 'payment_id', 'payment_method');
+        $this->arrPayments = SC_Helper_Payment_Ex::getIDValueList();
 
         $this->httpCacheControl('nocache');
Index: branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php
===================================================================
--- branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php	(revision 22306)
+++ branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php	(revision 22537)
@@ -85,5 +85,5 @@
 
         //支払方法の取得
-        $this->arrPayment = $objDb->sfGetIDValueList('dtb_payment', 'payment_id', 'payment_method');
+        $this->arrPayment = SC_Helper_Payment_Ex::getIDValueList();
 
         switch ($this->getMode()) {
Index: branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage.php
===================================================================
--- branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage.php	(revision 22206)
+++ branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage.php	(revision 22537)
@@ -100,5 +100,5 @@
         }
         // 支払い方法の取得
-        $this->arrPayment = SC_Helper_DB_Ex::sfGetIDValueList('dtb_payment', 'payment_id', 'payment_method');
+        $this->arrPayment = SC_Helper_Payment_Ex::getIDValueList();
         // 1ページあたりの件数
         $this->dispNumber = SEARCH_PMAX;
Index: branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_History.php
===================================================================
--- branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 22271)
+++ branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 22537)
@@ -94,5 +94,5 @@
         $this->isMultiple       = count($this->arrShipping) > 1;
         // 支払い方法の取得
-        $this->arrPayment       = $objDb->sfGetIDValueList('dtb_payment', 'payment_id', 'payment_method');
+        $this->arrPayment       = SC_Helper_Payment_Ex::getIDValueList();
         // 受注商品明細の取得
         $this->tpl_arrOrderDetail = $objPurchase->getOrderDetail($order_id);