Index: branches/version-2_12_3en-p1/html/install/index.php
===================================================================
--- branches/version-2_12_3en-p1/html/install/index.php	(revision 22530)
+++ branches/version-2_12_3en-p1/html/install/index.php	(revision 22540)
@@ -349,5 +349,5 @@
                 if (is_dir($path)) {
                     if (!is_writable($path)) {
-                        $mess .= t('c_>> ×:T_ARG1(T_ARG2)\nPlease grant user write access (777, 707, etc.)_01', array('T_ARG1' => $real_path, 'T_ARG2' => $filemode));
+                        $mess .= t('c_>> ×:T_ARG1(T_ARG2)Please grant user write access (777, 707, etc.)_01', array('T_ARG1' => $real_path, 'T_ARG2' => $filemode));
                         $hasErr = true;
                     } else {
@@ -356,5 +356,5 @@
                 } else {
                     if (!is_writable($path)) {
-                        $mess .= t('c_>> ×:T_ARG1(T_ARG2)\nPlease grant user write access (666, 606, etc.)_01', array('T_ARG1' => $real_path, 'T_ARG2' => $filemode));
+                        $mess .= t('c_>> ×:T_ARG1(T_ARG2)Please grant user write access (666, 606, etc.)_01', array('T_ARG1' => $real_path, 'T_ARG2' => $filemode));
                         $hasErr = true;
                     } else {
Index: branches/version-2_12_3en-p1/data/locales/en-US.po
===================================================================
--- branches/version-2_12_3en-p1/data/locales/en-US.po	(revision 22536)
+++ branches/version-2_12_3en-p1/data/locales/en-US.po	(revision 22540)
@@ -1923,5 +1923,5 @@
 msgstr "This product is already added to your favorites"
 
-msgid "c_File decompression failed.\nWrite access may not have been granted to the designated directory._01"
+msgid "c_File decompression failed.Write access may not have been granted to the designated directory._01"
 msgstr ""
 "File decompression failed.\n"
@@ -1937,10 +1937,10 @@
 msgstr "FTP login failed."
 
-msgid "c_DB creation failed. \nThe user designated by may not have been granted DB creation access._01"
+msgid "c_DB creation failed. The user designated by may not have been granted DB creation access._01"
 msgstr ""
 "DB creation failed. \n"
 "The user designated by may not have been granted DB creation access."
 
-msgid "c_Import of the database structure failed. \nThe sql file may be damaged._01"
+msgid "c_Import of the database structure failed. The sql file may be damaged._01"
 msgstr ""
 "Import of the database structure failed. \n"
@@ -1950,5 +1950,5 @@
 msgstr "The settings file does not exist in the designated path."
 
-msgid "c_It is not possible to write to the file settings.\nGrant write access to file settings._01"
+msgid "c_It is not possible to write to the file settings.Grant write access to file settings._01"
 msgstr ""
 "It is not possible to write to the file settings.\n"
@@ -2012,5 +2012,5 @@
 msgstr "The password has been changed."
 
-msgid "c_The e-mail address or password is not correct.\nIf you have not completed registration, access the registration page from the URL given to you in an e-mail._01"
+msgid "c_The e-mail address or password is not correct.If you have not completed registration, access the registration page from the URL given to you in an e-mail._01"
 msgstr ""
 "The e-mail address or password is not correct.\n"
@@ -2114,5 +2114,5 @@
 "necessary.<br />Please carry out member registration."
 
-msgid "c_The e-mail address or password is not correct.\nIf you have not completed registration, complete registration from the URL given in the temporary registration e-mail._01"
+msgid "c_The e-mail address or password is not correct.If you have not completed registration, complete registration from the URL given in the temporary registration e-mail._01"
 msgstr ""
 "The e-mail address or password is not correct.\n"
@@ -2206,10 +2206,10 @@
 msgstr "×: The sequence was not deleted.<br />"
 
-msgid "c_>> ×:T_ARG1(T_ARG2)\nPlease grant user write access (777, 707, etc.)_01"
+msgid "c_>> ×:T_ARG1(T_ARG2)Please grant user write access (777, 707, etc.)_01"
 msgstr ""
 ">> ×:T_ARG1(T_ARG2)\n"
 "Please grant user write access (777, 707, etc.)"
 
-msgid "c_>> ×:T_ARG1(T_ARG2)\nPlease grant user write access (666, 606, etc.)_01"
+msgid "c_>> ×:T_ARG1(T_ARG2)Please grant user write access (666, 606, etc.)_01"
 msgstr ""
 ">> ×:T_ARG1(T_ARG2)\n"
@@ -2987,10 +2987,10 @@
 msgstr "(No record. Only backup file available.)"
 
-msgid "c_Decompression of backup file failed.\n_01"
+msgid "c_Decompression of backup file failed._01"
 msgstr ""
 "Decompression of backup file failed.\n"
 " "
 
-msgid "c_Decompression source: T_ARG1 \n_01"
+msgid "c_Decompression source: T_ARG1 _01"
 msgstr ""
 "Decompression source: T_ARG1 \n"
Index: branches/version-2_12_3en-p1/data/locales/ja.po
===================================================================
--- branches/version-2_12_3en-p1/data/locales/ja.po	(revision 22536)
+++ branches/version-2_12_3en-p1/data/locales/ja.po	(revision 22540)
@@ -1903,5 +1903,5 @@
 msgstr "既にお気に入りに追加されている商品です"
 
-msgid "c_File decompression failed.\nWrite access may not have been granted to the designated directory._01"
+msgid "c_File decompression failed.Write access may not have been granted to the designated directory._01"
 msgstr ""
 "ファイルの解凍に失敗しました。\n"
@@ -1917,10 +1917,10 @@
 msgstr "FTPログインに失敗しました。"
 
-msgid "c_DB creation failed. \nThe user designated by may not have been granted DB creation access._01"
+msgid "c_DB creation failed. The user designated by may not have been granted DB creation access._01"
 msgstr ""
 "DBの作成に失敗しました。\n"
 "指定のユーザーには、DB作成の権限が与えられていない可能性があります。"
 
-msgid "c_Import of the database structure failed. \nThe sql file may be damaged._01"
+msgid "c_Import of the database structure failed. The sql file may be damaged._01"
 msgstr ""
 "データベース構造のインポートに失敗しました。\n"
@@ -1930,5 +1930,5 @@
 msgstr "指定のパスに、設定ファイルが存在しません。"
 
-msgid "c_It is not possible to write to the file settings.\nGrant write access to file settings._01"
+msgid "c_It is not possible to write to the file settings.Grant write access to file settings._01"
 msgstr ""
 "設定ファイルに書き込めません。\n"
@@ -1998,5 +1998,5 @@
 msgstr "パスワードを変更いたしました。"
 
-msgid "c_The e-mail address or password is not correct.\nIf you have not completed registration, access the registration page from the URL given to you in an e-mail._01"
+msgid "c_The e-mail address or password is not correct.If you have not completed registration, access the registration page from the URL given to you in an e-mail._01"
 msgstr ""
 "メールアドレスもしくはパスワードが正しくありません。\n"
@@ -2100,5 +2100,5 @@
 "員登録をお願いします。"
 
-msgid "c_The e-mail address or password is not correct.\nIf you have not completed registration, complete registration from the URL given in the temporary registration e-mail._01"
+msgid "c_The e-mail address or password is not correct.If you have not completed registration, complete registration from the URL given in the temporary registration e-mail._01"
 msgstr ""
 "メールアドレスもしくはパスワードが正しくありません。\n"
@@ -2187,10 +2187,10 @@
 msgstr "×：シーケンスの削除に失敗しました。<br />"
 
-msgid "c_>> ×:T_ARG1(T_ARG2)\nPlease grant user write access (777, 707, etc.)_01"
+msgid "c_>> ×:T_ARG1(T_ARG2)Please grant user write access (777, 707, etc.)_01"
 msgstr ""
 ">> ×：T_ARG1(T_ARG2)\n"
 "ユーザ書込み権限(777, 707等)を付与して下さい。"
 
-msgid "c_>> ×:T_ARG1(T_ARG2)\nPlease grant user write access (666, 606, etc.)_01"
+msgid "c_>> ×:T_ARG1(T_ARG2)Please grant user write access (666, 606, etc.)_01"
 msgstr ""
 ">> ×：T_ARG1(T_ARG2)\n"
@@ -2949,10 +2949,10 @@
 msgstr "(記録なし。バックアップファイルのみ。)"
 
-msgid "c_Decompression of backup file failed.\n_01"
+msgid "c_Decompression of backup file failed._01"
 msgstr ""
 "バックアップファイルの展開に失敗しました。\n"
 " "
 
-msgid "c_Decompression source: T_ARG1 \n_01"
+msgid "c_Decompression source: T_ARG1 _01"
 msgstr ""
 "展開元: T_ARG1 \n"
Index: branches/version-2_12_3en-p1/data/class/pages/shopping/LC_Page_Shopping.php
===================================================================
--- branches/version-2_12_3en-p1/data/class/pages/shopping/LC_Page_Shopping.php	(revision 22509)
+++ branches/version-2_12_3en-p1/data/class/pages/shopping/LC_Page_Shopping.php	(revision 22540)
@@ -501,5 +501,5 @@
         switch ($error) {
             case TEMP_LOGIN_ERROR:
-                $msg = t('c_The e-mail address or password is not correct.\nIf you have not completed registration, complete registration from the URL given in the temporary registration e-mail._01');
+                $msg = t('c_The e-mail address or password is not correct.If you have not completed registration, complete registration from the URL given in the temporary registration e-mail._01');
                 break;
             case SITE_LOGIN_ERROR:
Index: branches/version-2_12_3en-p1/data/class/pages/admin/system/LC_Page_Admin_System_Bkup.php
===================================================================
--- branches/version-2_12_3en-p1/data/class/pages/admin/system/LC_Page_Admin_System_Bkup.php	(revision 22498)
+++ branches/version-2_12_3en-p1/data/class/pages/admin/system/LC_Page_Admin_System_Bkup.php	(revision 22540)
@@ -487,6 +487,6 @@
 
         if (!$success) {
-            $msg = t('c_Decompression of backup file failed.\n_01');
-            $msg .= t('c_Decompression source: T_ARG1 \n_01', array('T_ARG1' => $bkup_filepath));
+            $msg = t('c_Decompression of backup file failed._01');
+            $msg .= t('c_Decompression source: T_ARG1 _01', array('T_ARG1' => $bkup_filepath));
             $msg .= t('c_Decompression destination: T_ARG1_01', array('T_ARG1' => $work_dir));
             trigger_error($msg, E_USER_ERROR);
Index: branches/version-2_12_3en-p1/data/class/pages/error/LC_Page_Error.php
===================================================================
--- branches/version-2_12_3en-p1/data/class/pages/error/LC_Page_Error.php	(revision 22500)
+++ branches/version-2_12_3en-p1/data/class/pages/error/LC_Page_Error.php	(revision 22540)
@@ -133,5 +133,5 @@
                 break;
             case EXTRACT_ERROR:
-                $this->tpl_error=t('c_File decompression failed.\nWrite access may not have been granted to the designated directory._01');
+                $this->tpl_error=t('c_File decompression failed.Write access may not have been granted to the designated directory._01');
                 break;
             case FTP_DOWNLOAD_ERROR:
@@ -145,8 +145,8 @@
                 break;
             case CREATE_DB_ERROR:
-                $this->tpl_error=t('c_DB creation failed. \nThe user designated by may not have been granted DB creation access._01');
+                $this->tpl_error=t('c_DB creation failed. The user designated by may not have been granted DB creation access._01');
                 break;
             case DB_IMPORT_ERROR:
-                $this->tpl_error=t('c_Import of the database structure failed. \nThe sql file may be damaged._01');
+                $this->tpl_error=t('c_Import of the database structure failed. The sql file may be damaged._01');
                 break;
             case FILE_NOT_FOUND:
@@ -154,5 +154,5 @@
                 break;
             case WRITE_FILE_ERROR:
-                $this->tpl_error=t('c_It is not possible to write to the file settings.\nGrant write access to file settings._01');
+                $this->tpl_error=t('c_It is not possible to write to the file settings.Grant write access to file settings._01');
                 break;
             case DOWNFILE_NOT_FOUND:
Index: branches/version-2_12_3en-p1/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php
===================================================================
--- branches/version-2_12_3en-p1/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php	(revision 22504)
+++ branches/version-2_12_3en-p1/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php	(revision 22540)
@@ -238,5 +238,5 @@
         switch ($error) {
             case TEMP_LOGIN_ERROR:
-                $msg = t('c_The e-mail address or password is not correct.\nIf you have not completed registration, access the registration page from the URL given to you in an e-mail._01');
+                $msg = t('c_The e-mail address or password is not correct.If you have not completed registration, access the registration page from the URL given to you in an e-mail._01');
                 break;
             case SITE_LOGIN_ERROR: