Index: /branches/version-2_12-dev/data/class_extends/helper_extends/SC_Helper_Delivery_Ex.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/helper_extends/SC_Helper_Delivery_Ex.php	(revision 22543)
+++ /branches/version-2_12-dev/data/class_extends/helper_extends/SC_Helper_Delivery_Ex.php	(revision 22543)
@@ -0,0 +1,39 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2013 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once CLASS_REALDIR . 'helper/SC_Helper_Delivery.php';
+
+/**
+ * 配送方法を管理するヘルパークラス(拡張).
+ *
+ * LC_Helper_Delivery をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Helper
+ * @author pineray
+ * @version $Id:$
+ */
+class SC_Helper_Delivery_Ex extends SC_Helper_Delivery
+{
+    //put your code here
+}
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Delivery.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Delivery.php	(revision 22543)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Delivery.php	(revision 22543)
@@ -0,0 +1,96 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2013 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+/**
+ * 配送方法を管理するヘルパークラス.
+ *
+ * @package Helper
+ * @author pineray
+ * @version $Id:$
+ */
+class SC_Helper_Delivery
+{
+
+    /**
+     * 配送方法一覧の取得.
+     *
+     * @param boolean $has_deleted 削除された支払方法も含む場合 true; 初期値 false
+     * @return array
+     */
+    public function getList($has_deleted = false) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $col = '*';
+        $where = '';
+        if (!$has_deleted) {
+            $where .= 'del_flg = 0';
+        }
+        $table = 'dtb_deliv';
+        $objQuery->setOrder('rank DESC');
+        $arrRet = $objQuery->select($col, $table, $where);
+        return $arrRet;
+    }
+
+    /**
+     * 配送方法の削除.
+     * 
+     * @param integer $deliv_id 配送方法ID
+     * @return void
+     */
+    public function delete($deliv_id) {
+        $objDb = new SC_Helper_DB_Ex();
+        // ランク付きレコードの削除
+        $objDb->sfDeleteRankRecord('dtb_deliv', 'deliv_id', $deliv_id);
+    }
+
+    /**
+     * 配送方法の表示順をひとつ上げる.
+     * 
+     * @param integer $deliv_id 配送方法ID
+     * @return void
+     */
+    public function rankUp($deliv_id) {
+        $objDb = new SC_Helper_DB_Ex();
+        $objDb->sfRankUp('dtb_deliv', 'deliv_id', $deliv_id);
+    }
+
+    /**
+     * 配送方法の表示順をひとつ下げる.
+     * 
+     * @param integer $deliv_id 配送方法ID
+     * @return void
+     */
+    public function rankDown($deliv_id) {
+        $objDb = new SC_Helper_DB_Ex();
+        $objDb->sfRankDown('dtb_deliv', 'deliv_id', $deliv_id);
+    }
+
+    /**
+     * 配送方法IDをキー, 名前を値とする配列を取得.
+     * 
+     * @param string $type 値のタイプ
+     * @return array
+     */
+    public static function getIDValueList($type = 'name') {
+        return SC_Helper_DB_Ex::sfGetIDValueList('dtb_deliv', 'deliv_id', $type);
+    }
+}
Index: /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 22206)
+++ /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 22543)
@@ -50,5 +50,5 @@
         $this->arrMAILMAGATYPE = $masterData->getMasterData('mtb_mail_magazine_type');
         $this->arrReminder = $masterData->getMasterData('mtb_reminder');
-        $this->arrDeliv = SC_Helper_DB_Ex::sfGetIDValueList('dtb_deliv', 'deliv_id', 'service_name');
+        $this->arrDeliv = SC_Helper_Delivery_Ex::getIDValueList('service_name');
         $this->httpCacheControl('nocache');
     }
Index: /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Disp.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Disp.php	(revision 22537)
+++ /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Disp.php	(revision 22543)
@@ -92,5 +92,5 @@
 
         // 配送業者の取得
-        $this->arrDeliv = SC_Helper_DB_Ex::sfGetIDValueList('dtb_deliv', 'deliv_id', 'name');
+        $this->arrDeliv = SC_Helper_Delivery_Ex::getIDValueList();
     }
 
Index: /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 22537)
+++ /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 22543)
@@ -111,5 +111,5 @@
 
         // 配送業者の取得
-        $this->arrDeliv = SC_Helper_DB_Ex::sfGetIDValueList('dtb_deliv', 'deliv_id', 'name');
+        $this->arrDeliv = SC_Helper_Delivery_Ex::getIDValueList();
 
         $this->arrInfo = SC_Helper_DB_Ex::sfGetBasisData();
Index: /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery.php	(revision 22206)
+++ /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery.php	(revision 22543)
@@ -71,5 +71,5 @@
     function action() {
 
-        $objDb = new SC_Helper_DB_Ex();
+        $objDeliv = new SC_Helper_Delivery_Ex();
         $mode = $this->getMode();
 
@@ -88,15 +88,15 @@
             case 'delete':
                 // ランク付きレコードの削除
-                $objDb->sfDeleteRankRecord('dtb_deliv', 'deliv_id', $_POST['deliv_id']);
+                $objDeliv->delete($_POST['deliv_id']);
 
                 $this->objDisplay->reload(); // PRG pattern
                 break;
             case 'up':
-                $objDb->sfRankUp('dtb_deliv', 'deliv_id', $_POST['deliv_id']);
+                $objDeliv->rankUp($_POST['deliv_id']);
 
                 $this->objDisplay->reload(); // PRG pattern
                 break;
             case 'down':
-                $objDb->sfRankDown('dtb_deliv', 'deliv_id', $_POST['deliv_id']);
+                $objDeliv->rankDown($_POST['deliv_id']);
 
                 $this->objDisplay->reload(); // PRG pattern
@@ -105,22 +105,6 @@
                 break;
         }
-        $this->arrDelivList = $this->lfGetDelivList();
+        $this->arrDelivList = $objDeliv->getList();
 
-    }
-
-    /**
-     * 配送業者一覧の取得
-     *
-     * @return array
-     */
-    function lfGetDelivList() {
-        $objQuery =& SC_Query_Ex::getSingletonInstance();
-
-        $col = 'deliv_id, name, service_name';
-        $where = 'del_flg = 0';
-        $table = 'dtb_deliv';
-        $objQuery->setOrder('rank DESC');
-
-        return $objQuery->select($col, $table, $where);
     }
 