Index: /branches/version-2_12-dev/test/class/helper/SC_Helper_Address_Test.php
===================================================================
--- /branches/version-2_12-dev/test/class/helper/SC_Helper_Address_Test.php	(revision 22079)
+++ /branches/version-2_12-dev/test/class/helper/SC_Helper_Address_Test.php	(revision 22546)
@@ -57,5 +57,5 @@
     }
 
-    function testSave() {
+    function testRegistAddress() {
         // ダミーの住所を登録
         $sqlval = $this->dummy;
@@ -63,5 +63,5 @@
         // 検証用の住所02
         $sqlval['addr02'] = $create_test = 'create test ' . time();
-        $this->objAddress->save($sqlval);
+        $this->objAddress->registAddress($sqlval);
 
         // 住所02が検証用のものと同じか確認
@@ -73,5 +73,5 @@
         // 更新の検証のために住所02を変更
         $sqlval['addr02'] = $update_test = 'update test ' . time();
-        $this->objAddress->save($sqlval);
+        $this->objAddress->registAddress($sqlval);
 
         // 住所02が検証用のものと同じか検証
@@ -84,14 +84,14 @@
      * @depends testSave
      */
-    function testGet() {
+    function testGetAddress() {
         // testSave のテストが通っていること前提
         $sqlval = $this->dummy;
         $sqlval['customer_id'] = $this->customer_id;
         $sqlval['addr02'] = 'get test';
-        $this->objAddress->save($sqlval);
+        $this->objAddress->registAddress($sqlval);
         $this->objQuery->setOrder('other_deliv_id DESC');
         $other_deliv_id = $this->objQuery->getOne('SELECT other_deliv_id FROM dtb_other_deliv WHERE customer_id = ?', array($this->customer_id));
         // DBに正しく記録され、取得できているか確認
-        $address = $this->objAddress->get($other_deliv_id);
+        $address = $this->objAddress->getAddress($other_deliv_id);
         $result = TRUE;
         foreach ($sqlval as $key => $value) {
@@ -111,5 +111,5 @@
         $sqlval['customer_id'] = $this->customer_id;
         $sqlval['addr02'] = 'getList test';
-        $this->objAddress->save($sqlval);
+        $this->objAddress->registAddress($sqlval);
         $list = $this->objAddress->getList($this->customer_id);
         $found = FALSE;
@@ -132,13 +132,13 @@
      * @depends testSave
      */
-    function testDelete() {
+    function testDeleteAddress() {
         // testSave のテストが通っていること前提
         $sqlval = $this->dummy;
         $sqlval['customer_id'] = $this->customer_id;
         $sqlval['addr02'] = 'delete test';
-        $this->objAddress->save($sqlval);
+        $this->objAddress->registAddress($sqlval);
         $this->objQuery->setOrder('other_deliv_id DESC');
         $other_deliv_id = $this->objQuery->getOne('SELECT other_deliv_id FROM dtb_other_deliv WHERE customer_id = ?', array($this->customer_id));
-        $this->objAddress->delete($other_deliv_id);
+        $this->objAddress->deleteAddress($other_deliv_id);
         $result = $this->objQuery->getRow('*', 'dtb_other_deliv', 'customer_id = ? and other_deliv_id = ?', array($this->customer_id, $other_deliv_id));
         $this->assertNull($result);
Index: /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 22494)
+++ /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 22546)
@@ -306,5 +306,5 @@
             if ($objCustomer->isLoginSuccess(true)) {
                 if ($other_deliv_id != 0) {
-                    $otherDeliv = $objAddress->get($other_deliv_id);
+                    $otherDeliv = $objAddress->getAddress($other_deliv_id);
                     foreach ($otherDeliv as $key => $val) {
                         $arrValues[$other_deliv_id]['shipping_' . $key] = $val;
Index: /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 22206)
+++ /branches/version-2_12-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 22546)
@@ -110,5 +110,5 @@
             // 削除
             case 'delete':
-                $objAddress->delete($arrForm['other_deliv_id']);
+                $objAddress->deleteAddress($arrForm['other_deliv_id']);
                 break;
 
@@ -228,5 +228,5 @@
         // 別のお届け先がチェックされている場合
         else {
-            $arrOtherDeliv = $objAddress->get($other_deliv_id);
+            $arrOtherDeliv = $objAddress->getAddress($other_deliv_id);
             if (!$arrOtherDeliv) {
                 return false;
Index: /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php	(revision 22206)
+++ /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php	(revision 22546)
@@ -136,5 +136,5 @@
 
                 if ($_GET['other_deliv_id'] != '') {
-                    $arrOtherDeliv = $objAddress->get($_SESSION['other_deliv_id']);
+                    $arrOtherDeliv = $objAddress->getAddress($_SESSION['other_deliv_id']);
 
                     //不正アクセス判定
@@ -174,5 +174,5 @@
         $sqlval['customer_id'] = $customer_id;
 
-        $objAddress->save($sqlval);
+        $objAddress->registAddress($sqlval);
     }
 
Index: /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php	(revision 22206)
+++ /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php	(revision 22546)
@@ -85,5 +85,5 @@
                 }
 
-                $objAddress->delete($objFormParam->getValue('other_deliv_id'));
+                $objAddress->deleteAddress($objFormParam->getValue('other_deliv_id'));
                 break;
 
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Address.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Address.php	(revision 22206)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Address.php	(revision 22546)
@@ -37,5 +37,5 @@
      * @return array()
      */
-    function save($sqlval) {
+    function registAddress($sqlval) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $customer_id = $sqlval['customer_id'];
@@ -77,5 +77,5 @@
      * @return array()
      */
-    function get($other_deliv_id) {
+    function getAddress($other_deliv_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $address = $objQuery->select('*', 'dtb_other_deliv', 'other_deliv_id = ?', array($other_deliv_id));
@@ -106,5 +106,5 @@
      * @return void
      */
-    function delete($other_deliv_id) {
+    function deleteAddress($other_deliv_id) {
         $where      = 'other_deliv_id = ?';
         $objQuery   =& SC_Query_Ex::getSingletonInstance();