Index: /branches/version-2_12-dev/html/user_data/packages/admin/css/admin_contents.css
===================================================================
--- /branches/version-2_12-dev/html/user_data/packages/admin/css/admin_contents.css	(revision 21790)
+++ /branches/version-2_12-dev/html/user_data/packages/admin/css/admin_contents.css	(revision 22556)
@@ -177,5 +177,5 @@
 /*おすすめ商品管理*/
 
-table#recommend-table {
+table.recommend-table {
     border-collapse: collapse;
     font-size: 100%;
@@ -184,14 +184,14 @@
 }
 
-div#table-wrap {
+div.table-wrap {
     margin-top: 6px;
 }
 
-div#table-wrap div.table-img {
+div.table-wrap div.table-img {
     float: left;
     padding-left: 6px;
 }
 
-div#table-wrap div.table-detail {
+div.table-wrap div.table-detail {
     float: left;
     text-align: left;
@@ -199,5 +199,5 @@
 }
 
-div#table-wrap div.table-detail div.detail-name {
+div.table-wrap div.table-detail div.detail-name {
     margin-bottom: 5px;
 }
Index: /branches/version-2_12-dev/data/Smarty/templates/admin/contents/recommend.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/admin/contents/recommend.tpl	(revision 22206)
+++ /branches/version-2_12-dev/data/Smarty/templates/admin/contents/recommend.tpl	(revision 22556)
@@ -83,8 +83,7 @@
 </script>
 
-        <!--{section name=cnt loop=$tpl_disp_max}-->
-
 <div id="admin-contents" class="contents-main">
-    <table class="list center" id="recommend-table">
+    <!--{section name=cnt loop=$tpl_disp_max}-->
+    <table class="list center recommend-table">
         <col width="13%" />
         <col width="73%" />
@@ -103,5 +102,5 @@
                 <!--{if $arrItems[$smarty.section.cnt.iteration].product_id}-->
                     <td>
-                        <div id="table-wrap" class="clearfix">
+                        <div class="clearfix table-wrap">
                             <div class="table-img">
                                 <!--{if $arrItems[$smarty.section.cnt.iteration].product_id}-->
@@ -110,16 +109,17 @@
                             </div>
                             <div class="table-detail">
-                                <div class="detail-name">商品名： <!--{$arrItems[$smarty.section.cnt.iteration].name|h}--></div>
-                                    <div class="detail-form">
-                                        <form name="form<!--{$smarty.section.cnt.iteration}-->" id="form<!--{$smarty.section.cnt.iteration}-->" method="post" action="?">
-                                            <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-                                            <input type="hidden" name="mode" value="regist" />
-                                            <input type="hidden" name="product_id" value="<!--{$arrItems[$smarty.section.cnt.iteration].product_id|h}-->" />
-                                            <input type="hidden" name="category_id" value="<!--{$category_id|h}-->" />
-                                            <input type="hidden" name="rank" value="<!--{$arrItems[$smarty.section.cnt.iteration].rank|h}-->" />
-                                            <span class="attention"><!--{$arrErr[$smarty.section.cnt.iteration].comment}--></span>
-                                            <textarea class="top" name="comment" cols="45" rows="4" style="width: 586px; height: 80px; <!--{$arrErr[$smarty.section.cnt.iteration].comment|sfGetErrorColor}-->" <!--{$arrItems[$smarty.section.cnt.iteration].product_id|sfGetEnabled}-->><!--{"\n"}--><!--{$arrItems[$smarty.section.cnt.iteration].comment|h}--></textarea>
-                                        </form>
-                                    </div>
+                                <div class="detail-name">
+                                    商品名： <!--{$arrItems[$smarty.section.cnt.iteration].name|h}-->
+                                </div>
+                                <div class="detail-form">
+                                    <form name="form<!--{$smarty.section.cnt.iteration}-->" id="form<!--{$smarty.section.cnt.iteration}-->" method="post" action="?">
+                                        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+                                        <input type="hidden" name="mode" value="regist" />
+                                        <input type="hidden" name="product_id" value="<!--{$arrItems[$smarty.section.cnt.iteration].product_id|h}-->" />
+                                        <input type="hidden" name="category_id" value="<!--{$category_id|h}-->" />
+                                        <input type="hidden" name="rank" value="<!--{$arrItems[$smarty.section.cnt.iteration].rank|h}-->" />
+                                        <span class="attention"><!--{$arrErr[$smarty.section.cnt.iteration].comment}--></span>
+                                        <textarea class="top" name="comment" cols="45" rows="4" style="width: 586px; height: 80px; <!--{$arrErr[$smarty.section.cnt.iteration].comment|sfGetErrorColor}-->" <!--{$arrItems[$smarty.section.cnt.iteration].product_id|sfGetEnabled}-->><!--{"\n"}--><!--{$arrItems[$smarty.section.cnt.iteration].comment|h}--></textarea>
+                                    </form>
                                 </div>
                             </div>
@@ -172,5 +172,5 @@
         <!--{/if}-->
     <!--▲おすすめ商品<!--{$smarty.section.cnt.iteration}-->-->
+    </table>
     <!--{/section}-->
-    </table>
 </div>