Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Payment.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Payment.php	(revision 22552)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Payment.php	(revision 22566)
@@ -74,7 +74,8 @@
      */
     public function save($sqlval) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+
         $payment_id = $sqlval['payment_id'];
-
-        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $sqlval['update_date'] = 'CURRENT_TIMESTAMP';
         // 新規登録
         if ($payment_id == '') {
@@ -87,4 +88,5 @@
         } else {
             unset($sqlval['creator_id']);
+            unset($sqlval['create_date']);
             $where = 'payment_id = ?';
             $objQuery->update('dtb_payment', $sqlval, $where, array($payment_id));
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Delivery.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Delivery.php	(revision 22564)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Delivery.php	(revision 22566)
@@ -29,6 +29,6 @@
  * @version $Id:$
  */
-class SC_Helper_Delivery
-{
+class SC_Helper_Delivery {
+
     /**
      * 配送方法の情報を取得.
@@ -42,5 +42,5 @@
 
         // 配送業者一覧の取得
-        $col = 'deliv_id, name, service_name, remark, confirm_url, product_type_id';
+        $col = '*';
         $where = 'deliv_id = ?';
         if (!$has_deleted) {
@@ -58,5 +58,5 @@
 
         // 配送料金の取得
-        $arrDeliv['fee'] = $this->getDelivFeeList($deliv_id);
+        $arrDeliv['deliv_fee'] = $this->getDelivFeeList($deliv_id);
 
         // 支払方法
@@ -116,6 +116,10 @@
         unset($sqlval['payment_ids']);
 
+        $sqlval['update_date'] = 'CURRENT_TIMESTAMP';
+
         // deliv_id が決まっていた場合
         if ($sqlval['deliv_id'] != '') {
+            unset($sqlval['creator_id']);
+            unset($sqlval['create_date']);
             $deliv_id = $sqlval['deliv_id'];
             $where = 'deliv_id = ?';
@@ -126,5 +130,4 @@
             $where = 'deliv_id = ? AND time_id = ?';
             for ($cnt = 1; $cnt <= DELIVTIME_MAX; $cnt++) {
-                $keyname = 'deliv_time'.$cnt;
                 $arrWhereVal = array($deliv_id, $cnt);
                 // 既存データの有無を確認
@@ -132,5 +135,6 @@
 
                 if (isset($sqlval_deliv_time[$cnt])) {
-                    $deliv_time = $sqlval_deliv_time[$cnt];
+                    $deliv_time = array();
+                    $deliv_time['deliv_time'] = $sqlval_deliv_time[$cnt];
 
                     // 入力が空ではなく、DBに情報があれば更新
@@ -146,5 +150,5 @@
                 }
                 // 入力が空で、DBに情報がある場合は削除
-                else if (count($curData)) {
+                elseif (count($curData)) {
                     $objQuery->delete($table, $where, $arrWhereVal);
                 }
@@ -153,6 +157,6 @@
             // 配送料の登録
             if (INPUT_DELIV_FEE) {
-                foreach ($sqlval_deliv_fee as $cnt => $deliv_fee) {
-                    $objQuery->update('dtb_delivfee', array('fee' => $deliv_fee['fee']), 'deliv_id = ? AND fee_id = ?', array($deliv_id, $cnt));
+                foreach ($sqlval_deliv_fee as $deliv_fee) {
+                    $objQuery->update('dtb_delivfee', array('fee' => $deliv_fee['fee']), 'deliv_id = ? AND fee_id = ?', array($deliv_id, $deliv_fee['fee_id']));
                 }
             }
@@ -176,7 +180,6 @@
             if (INPUT_DELIV_FEE) {
                 // 配送料金の設定
-                foreach ($sqlval_deliv_fee as $cnt => $deliv_fee) {
+                foreach ($sqlval_deliv_fee as $deliv_fee) {
                     $deliv_fee['deliv_id'] = $deliv_id;
-                    $deliv_fee['fee_id'] = $cnt;
                     // INSERTの実行
                     $objQuery->insert('dtb_delivfee', $deliv_fee);
@@ -187,7 +190,12 @@
         // 支払い方法
         $objQuery->delete('dtb_payment_options', 'deliv_id = ?', array($deliv_id));
-        foreach ($sqlval_payment_ids as $payment_ids) {
-            $payment_ids['deliv_id'] = $deliv_id;
-            $objQuery->insert('dtb_payment_options', $payment_ids);
+        $i = 1;
+        foreach ($sqlval_payment_ids as $payment_id) {
+            $sqlval_payment_id = array();
+            $sqlval_payment_id['deliv_id'] = $deliv_id;
+            $sqlval_payment_id['payment_id'] = $payment_id;
+            $sqlval_payment_id['rank'] = $i;
+            $objQuery->insert('dtb_payment_options', $sqlval_payment_id);
+            $i++;
         }
 
@@ -243,5 +251,5 @@
         } else {
             $objQuery =& SC_Query_Ex::getSingletonInstance();
-            $ret = (($objQuery->count('dtb_deliv', 'deliv_id != ? AND service_name = ? ', array($arrDeliv['deliv_id'], $arrDeliv['service_name'])) > 0)? true : false);
+            $ret = (($objQuery->count('dtb_deliv', 'deliv_id != ? AND service_name = ? ', array($arrDeliv['deliv_id'], $arrDeliv['service_name'])) > 0) ? true : false);
         }
         return $ret;
@@ -267,7 +275,5 @@
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objQuery->setOrder('time_id');
-        $results = $objQuery->select('time_id, deliv_time',
-                                     'dtb_delivtime',
-                                     'deliv_id = ?', array($deliv_id));
+        $results = $objQuery->select('time_id, deliv_time', 'dtb_delivtime', 'deliv_id = ?', array($deliv_id));
         $arrDelivTime = array();
         foreach ($results as $val) {
@@ -286,7 +292,5 @@
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objQuery->setOrder('rank');
-        return $objQuery->getCol('payment_id', 'dtb_payment_options',
-                                 'deliv_id = ?',
-                                 array($deliv_id), MDB2_FETCHMODE_ORDERED);
+        return $objQuery->getCol('payment_id', 'dtb_payment_options', 'deliv_id = ?', array($deliv_id), MDB2_FETCHMODE_ORDERED);
     }
 
@@ -328,9 +332,8 @@
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objQuery->setOrder('pref');
-        $col = 'fee';
+        $col = 'fee_id, fee, pref';
         $where = 'deliv_id = ?';
         $table = 'dtb_delivfee';
-        return $objQuery->getCol($col, $table, $where, array($deliv_id),
-                                 MDB2_FETCHMODE_ORDERED);
+        return $objQuery->select($col, $table, $where, array($deliv_id));
     }
 }
Index: /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_DeliveryInput.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_DeliveryInput.php	(revision 22554)
+++ /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_DeliveryInput.php	(revision 22566)
@@ -71,5 +71,5 @@
      */
     function action() {
-
+        $objFormParam = new SC_FormParam_Ex();
         $this->lfInitParam($this->mode, $objFormParam);
         $objFormParam->setParam($_POST);
@@ -159,5 +159,4 @@
         $sqlval['product_type_id'] = $arrRet['product_type_id'];
         $sqlval['creator_id'] = $member_id;
-        $sqlval['update_date'] = 'CURRENT_TIMESTAMP';
 
         // お届け時間
@@ -166,7 +165,5 @@
             $keyname = "deliv_time$cnt";
             if ($arrRet[$keyname] != '') {
-                $deliv_time = array();
-                $deliv_time['deliv_time'] = $arrRet[$keyname];
-                $sqlval['deliv_time'][$cnt] = $deliv_time;
+                $sqlval['deliv_time'][$cnt] = $arrRet[$keyname];
             }
         }
@@ -180,4 +177,5 @@
                 if ($arrRet[$keyname] != '') {
                     $fee = array();
+                    $fee['fee_id'] = $cnt;
                     $fee['fee'] = $arrRet[$keyname];
                     $fee['pref'] = $cnt;
@@ -189,11 +187,6 @@
         // 支払い方法
         $sqlval['payment_ids'] = array();
-        $i = 1;
-        foreach ($arrRet['payment_ids'] as $val) {
-            $payment_ids = array();
-            $payment_ids['payment_id'] = $val;
-            $payment_ids['rank'] = $i;
-            $sqlval['payment_ids'][] = $payment_ids;
-            $i++;
+        foreach ($arrRet['payment_ids'] as $payment_id) {
+            $sqlval['payment_ids'][] = $payment_id;
         }
 
@@ -205,5 +198,4 @@
     /* 配送業者情報の取得 */
     function lfGetDelivData(&$objFormParam) {
-        $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objDelivery = new SC_Helper_Delivery_Ex();
 
@@ -224,9 +216,9 @@
         // 配送料金
         $deliv_fee = array();
-        foreach ($arrDeliv['fee'] as $value) {
-            $deliv_fee[]['fee'] = $value;
+        foreach ($arrDeliv['deliv_fee'] as $value) {
+            $deliv_fee[]['fee'] = $value['fee'];
         }
         $objFormParam->setParamList($deliv_fee, 'fee');
-        unset($arrDeliv['fee']);
+        unset($arrDeliv['deliv_fee']);
         // 支払方法
         $objFormParam->setValue('payment_ids', $arrDeliv['payment_ids']);
Index: /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_PaymentInput.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_PaymentInput.php	(revision 22206)
+++ /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_PaymentInput.php	(revision 22566)
@@ -215,5 +215,4 @@
 
         $sqlval = array_merge($objFormParam->getHashArray(), $this->objUpFile->getDBFileList());
-        $sqlval['update_date'] = 'CURRENT_TIMESTAMP';
         $sqlval['payment_id'] = $payment_id;
         $sqlval['creator_id'] = $member_id;